cidade(montevideo).
cidade(saojosedoscampos).
cidade(camposdojordao).
cidade(riobranco).
cidade(maceio).
cidade(manaus).
cidade(macapa).
cidade(salvador).
cidade(fortaleza).
cidade(brasilia).
cidade(vitoria).
cidade(goiania).
cidade(saoluiz).
cidade(belohorizonte).
cidade(campogrande).
cidade(cuiba).
cidade(belem).
cidade(joaopessoa).
cidade(recife).
cidade(teresina).
cidade(curitiba).
cidade(riodejaneiro).
cidade(natal).
cidade(portovelho).
cidade(boavista).
cidade(portoalegre).
cidade(florianopolis).
cidade(aracaju).
cidade(saopaulo).
cidade(palmas).
cidade(buenosaires).

pais(argentina).
pais(bolivia).
pais(brasil).
pais(chile).
pais(colombia).
pais(equador).
pais(paraguai).
pais(peru).
pais(uruguai).
pais(venezuela).

estado_pais(brasil,ac). 
estado_pais(brasil,al). 
estado_pais(brasil,am). 
estado_pais(brasil,ap). 
estado_pais(brasil,ba). 
estado_pais(brasil,ce). 
estado_pais(brasil,df). 
estado_pais(brasil,es). 
estado_pais(brasil,go). 
estado_pais(brasil,ma). 
estado_pais(brasil,mg). 
estado_pais(brasil,ms). 
estado_pais(brasil,mt). 
estado_pais(brasil,pa). 
estado_pais(brasil,pb). 
estado_pais(brasil,pe). 
estado_pais(brasil,pi). 
estado_pais(brasil,pr). 
estado_pais(brasil,rj). 
estado_pais(brasil,rn). 
estado_pais(brasil,ro). 
estado_pais(brasil,rr). 
estado_pais(brasil,rs). 
estado_pais(brasil,sc). 
estado_pais(brasil,se). 
estado_pais(brasil,sp). 
estado_pais(brasil,to). 

estado(ac). 
estado(al). 
estado(am). 
estado(ap). 
estado(ba). 
estado(ce). 
estado(df). 
estado(es). 
estado(go). 
estado(ma). 
estado(mg). 
estado(ms). 
estado(mt). 
estado(pa). 
estado(pb). 
estado(pe). 
estado(pi). 
estado(pr). 
estado(rj). 
estado(rn). 
estado(ro). 
estado(rr). 
estado(rs). 
estado(sc). 
estado(se). 
estado(sp). 
estado(to). 



cidade_pais(argentina,buenosaires).
cidade_pais(uruguai,montevideo).
cidade_pais(brasil,saojosedoscampos).
cidade_pais(brasil,camposdojordao).
cidade_pais(brasil,riobranco).
cidade_pais(brasil,maceio).
cidade_pais(brasil,manaus).
cidade_pais(brasil,macapa).
cidade_pais(brasil,salvador).
cidade_pais(brasil,fortaleza).
cidade_pais(brasil,brasilia).
cidade_pais(brasil,vitoria).
cidade_pais(brasil,goiania).
cidade_pais(brasil,saoluiz).
cidade_pais(brasil,belohorizonte).
cidade_pais(brasil,campogrande).
cidade_pais(brasil,cuiba).
cidade_pais(brasil,belem).
cidade_pais(brasil,joaopessoa).
cidade_pais(brasil,recife).
cidade_pais(brasil,teresina).
cidade_pais(brasil,curitiba).
cidade_pais(brasil,riodejaneiro).
cidade_pais(brasil,natal).
cidade_pais(brasil,portovelho).
cidade_pais(brasil,boavista).
cidade_pais(brasil,portoalegre).
cidade_pais(brasil,florianopolis).
cidade_pais(brasil,aracaju).
cidade_pais(brasil,saopaulo).
cidade_pais(brasil,palmas).

capital_estado(ac,riobranco).
capital_estado(al,maceio).
capital_estado(am,manaus).
capital_estado(ap,macapa).
capital_estado(ba,salvador).
capital_estado(ce,fortaleza).
capital_estado(df,brasilia).
capital_estado(es,vitoria).
capital_estado(go,goiania).
capital_estado(ma,saoluiz).
capital_estado(mg,belohorizonte).
capital_estado(ms,campogrande).
capital_estado(mt,cuiba).
capital_estado(pa,belem).
capital_estado(pb,joaopessoa).
capital_estado(pe,recife).
capital_estado(pi,teresina).
capital_estado(pr,curitiba).
capital_estado(rj,riodejaneiro).
capital_estado(rn,natal).
capital_estado(ro,portovelho).
capital_estado(rr,boavista).
capital_estado(rs,portoalegre).
capital_estado(sc,florianopolis).
capital_estado(se,aracaju).
capital_estado(sp,saopaulo).
capital_estado(to,palmas).

capital_pais(argentina,buenosaires).
capital_pais(bolivia,lapaz).
capital_pais(brasil,brasilia).
capital_pais(chile,santiago).
capital_pais(colombia,bogota).
capital_pais(equador,quito).
capital_pais(paraguai,assuno).
capital_pais(peru,lima).
capital_pais(uruguai,montevideo).
capital_pais(venezuela,caracas).

capital(X,Y) :- capital_estado(X,Y) ; capital_pais(X,Y).

uma_capital(X,Y) :- cidade_pais(X,Y) , capital_estado(Z,Y) ; capital_pais(X,Y) .

uma_cidade_pais(X,Y) :- cidade_pais(X,Y) ; capital_pais(X,Y).